summaryrefslogtreecommitdiffstats
path: root/bin/chroot-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-04-26 01:36:30 +0200
committerHolger Levsen <holger@layer-acht.org>2015-04-26 01:36:30 +0200
commit7cd6ef30fe32cfd498bc9e23e55bcc3a8309b0f7 (patch)
treefce0bf33ac13596ab21e57b735c4752a0e514c5c /bin/chroot-installation.sh
parent1d0ae3e0ed8d8180d7050b479f77a96a7bfef421 (diff)
downloadjenkins.debian.net-7cd6ef30fe32cfd498bc9e23e55bcc3a8309b0f7.tar.xz
actually add support for stretch
Diffstat (limited to 'bin/chroot-installation.sh')
-rwxr-xr-xbin/chroot-installation.sh14
1 files changed, 9 insertions, 5 deletions
diff --git a/bin/chroot-installation.sh b/bin/chroot-installation.sh
index 6864b0e1..0046fb65 100755
--- a/bin/chroot-installation.sh
+++ b/bin/chroot-installation.sh
@@ -212,6 +212,9 @@ case $1 in
jessie) DISTRO="jessie"
SPECIFIC="libreoffice virt-manager mplayer2 chromium"
;;
+ stretch) DISTRO="stretch"
+ SPECIFIC="libreoffice virt-manager mplayer2 chromium"
+ ;;
sid) DISTRO="sid"
SPECIFIC="libreoffice virt-manager mplayer2 chromium"
;;
@@ -257,11 +260,12 @@ fi
if [ "$3" != "" ] ; then
case $3 in
- squeeze)upgrade2 squeeze;;
- wheezy) upgrade2 wheezy;;
- jessie) upgrade2 jessie;;
- sid) upgrade2 sid;;
- *) echo "unsupported distro." ; exit 1 ;;
+ squeeze) upgrade2 squeeze;;
+ wheezy) upgrade2 wheezy;;
+ jessie) upgrade2 stretch;;
+ stretch) upgrade2 stretch;;
+ sid) upgrade2 sid;;
+ *) echo "unsupported distro." ; exit 1 ;;
esac
fi